window.AssetsManager = {
scenePath: "prefab/scene/",
actorPath: "prefab/actor/",
bundle: {},
sceneName: {
loadScene: "loadscene",
mainScene: "hall",
gameScene: "Game"
},
pcmPath: "audio/pcm/pcm_",
bgmPath: "audio/bgm/bgm_",
pcmName: [ "actordie", "actorjump", "actorland", "actormove", "actornormal1", "actornormal3", "actornormal4", "actorstep", "archerenemy", "boss1break", "boss1jump", "boss1step", "boss2arrowdropland", "boss2multiarrow", "boss2rain", "boss2strongarrow", "boss3buff", "boss3call", "boss3fire", "close", "dropgold", "drophppotion", "dropmppotion", "enemydiemale", "enemydiefemale", "enemymove", "stoneenemy", "spearenemy", "getitem", "insteadskill", "normalhit1", "normalhit2", "selectskill", "showdoor", "showmsgbox", "skillbladestorm", "skillcombohit", "skilldragonup", "skillfirering", "skillflash1", "skillflash2", "skillhalfmooncut", "skillsecshow", "skillthunder", "throwenemy", "usevit", "hurtmale", "hurtfemale", "explode", "event", "BS_04", "LD_03", "LD_04", "stick", "equip", "openAinmiationAudio", "openedBox", "ringboard", "actor1normal1", "actor1normal2", "actor1normal3", "actor1normal4", "actor2normal1", "actor2normal2", "actor2normal3", "actor2normal4", "actor3normal1", "actor3normal2", "actor3normal3", "actor3normal4", "actor4normal1", "actor4normal2", "actor4normal3", "actor4normal4", "actor5normal1", "actor5normal2", "actor5normal3", "actor5normal4", "laohujijieshu", "buff", "diefemale", "bufffemale", "wolfwave", "backhit", "heavyhit", "roundinghit", "wall", "boxdrop", "getroll", "openroll", "npcappear", "dropCoin", "dropEquip", "dropMatirial", "pickCoin", "pickEquip", "pickMatirial", "legendPick", "legendDrop", "questcomplete" ],
bgmName: [ "hall", "normalloop", "resultwin" ],
skillIconPath: "texture/skillicon/",
skillName: [ "skill_vigour", "skill_toughness", "skill_swordstorm", "skill_stepjump", "skill_jouk", "skill_intelligence", "skill_insaneness", "skill_HPRecover", "skill_halfmooncut", "skill_flash", "skill_dragonupcut", "skill_criticalM", "skill_criticalL", "skill_bloodthirsty", "skill_battlesoul", "skill_atkupM", "skill_atkupL", "skill_defupM", "skill_defupL" ],
equIconPath: "texture/equicon/equipment",
chipIconPath: "texture_pic/equ/mergeClips",
actorPicPath: "texture_pic/challengeChar",
loadAllPcm: function(s, e) {
null == AssetsManager.pcmindex && (AssetsManager.pcmindex = 0), null == AssetsManager.pcms && (AssetsManager.pcms = {});
var a = function(a) {
if (null != a) try {
a.loadDir("audio/pcm", cc.AudioClip, function(e) {
s && s(e);
}, function(s, a) {
if (null == s) {
for (var n = 0; n < a.length; n++) if (a[n]) {
var l = a[n].name.substr(4);
AssetsManager.pcms[l] = a[n];
}
} else console.log("--------load pcm error", s);
null != e && e();
});
} catch (s) {}
};
AssetsManager.bundle.sub3 ? a(AssetsManager.bundle.sub3) : AssetsManager.loadBundle("sub3", function(s) {
s && a(s);
});
},
playPCM: function(s, e) {
if (null == AssetsManager.pcms && (AssetsManager.pcms = {}), null != AssetsManager.pcms[s]) cc.audioEngine.playEffect(AssetsManager.pcms[s], e); else {
var a = AssetsManager.pcmPath + s, n = function(n) {
null != n && n.load(a, cc.AudioClip, function(a, n) {
null != a ? n = null : (AssetsManager.pcms[s] = n, cc.audioEngine.playEffect(n, e));
});
};
AssetsManager.bundle.sub3 ? n(AssetsManager.bundle.sub3) : AssetsManager.loadBundle("sub3", function(s) {
n(s);
});
}
},
playBGM: function(s, e) {
if (null == AssetsManager.bgms && (AssetsManager.bgms = {}), AssetsManager.stopBGM(), 
null != AssetsManager.bgms[s]) cc.audioEngine.playMusic(AssetsManager.bgms[s], e); else {
var a = AssetsManager.bgmPath + s, n = function(n) {
if (null != n) try {
n.load(a, cc.AudioClip, function(a, n) {
console.log("------------load ", a, n), null != a ? n = null : (AssetsManager.bgms[s] = n, 
cc.audioEngine.playMusic(n, e));
});
} catch (s) {}
};
AssetsManager.bundle.sub3 ? n(AssetsManager.bundle.sub3) : AssetsManager.loadBundle("sub3", function(s) {
s && n(s);
});
}
},
stopPCM: function() {
cc.audioEngine.stopAllEffects();
},
stopBGM: function() {
cc.audioEngine.stopMusic();
},
pauseBGM: function() {
cc.audioEngine.pauseMusic();
},
resumeBGM: function() {
cc.audioEngine.resumeMusic();
},
setBGMVolume: function(s) {
cc.audioEngine.setMusicVolume(s);
},
setPCMVolume: function(s) {
cc.audioEngine.setEffectsVolume(s);
},
loadSkillIcons: function(s, e) {
null == AssetsManager.skillicons && (AssetsManager.skillicons = {});
var a = AssetsManager.skillIconPath + "skillGroup", n = function(n) {
if (null != n) try {
n.load(a, cc.SpriteAtlas, function(e) {
s && s(e);
}, function(a, n) {
if (null != a) n = null; else {
s(100);
for (var l = n.getSpriteFrames(), o = 0; o < l.length; o++) {
var t = l[o].name;
AssetsManager.skillicons[t] = l[o];
}
e && e();
}
});
} catch (s) {}
};
AssetsManager.bundle.sub2 ? n(AssetsManager.bundle.sub2) : AssetsManager.loadBundle("sub2", function(s) {
s && n(s);
});
},
loadEquIcon: function(s, e) {
if (null == AssetsManager.equicons) {
AssetsManager.equicons = {};
var a = function(a) {
null != a && a.load(AssetsManager.equIconPath, cc.SpriteAtlas, function(a, n) {
if (null != a) n = null; else {
for (var l = n.getSpriteFrames(), o = 0; o < l.length; o++) {
var t = l[o].name;
AssetsManager.equicons[t] = l[o];
}
e && e(AssetsManager.equicons[s]);
}
});
};
AssetsManager.bundle.sub2 ? a(AssetsManager.bundle.sub2) : AssetsManager.loadBundle("sub2", function(s) {
s && a(s);
});
} else e && e(AssetsManager.equicons[s]);
},
loadChipIcon: function(s, e) {
if (null == AssetsManager.chipicons) {
AssetsManager.chipicons = {};
var a = function(a) {
if (null != a) try {
a.load(AssetsManager.chipIconPath, cc.SpriteAtlas, function(a, n) {
if (null != a) n = null; else {
for (var l = n.getSpriteFrames(), o = 0; o < l.length; o++) {
var t = l[o].name;
AssetsManager.chipicons[t] = l[o];
}
e && e(AssetsManager.chipicons[s]);
}
});
} catch (s) {}
};
AssetsManager.bundle.sub1 ? a(AssetsManager.bundle.sub1) : AssetsManager.loadBundle("sub1", function(s) {
s && a(s);
});
} else e && e(AssetsManager.chipicons[s]);
},
loadActorPic: function(s, e) {
if (null == AssetsManager.actorpics && (AssetsManager.actorpics = {}), AssetsManager.actorpics[s]) e && e(AssetsManager.actorpics[s]); else {
var a = AssetsManager.actorPicPath, n = function(n) {
if (null != n) try {
n.load(a, cc.SpriteAtlas, function(a, n) {
if (null != a) n = null; else {
for (var l = n.getSpriteFrames(), o = 0; o < l.length; o++) {
var t = l[o].name;
AssetsManager.actorpics[t] = l[o];
}
e && e(AssetsManager.actorpics[s]);
}
});
} catch (s) {}
};
AssetsManager.bundle.sub1 ? n(AssetsManager.bundle.sub1) : AssetsManager.loadBundle("sub1", function(s) {
s && n(s);
});
}
},
loadActor: function(s, e) {
UTILS.global.userdata.tmpactorid > 0 && UTILS.global.userdata.tmpactorid < 6 && (s = UTILS.global.userdata.tmpactorid);
var a = function(a) {
if (null != a) {
var n = AssetsManager.actorPath + "Actor" + (s + 1);
a.load(n, cc.Prefab, function(n, l) {
if (null != n) ret = null, e && e({
errorcode: -1
}); else {
var o = l, t = AssetsManager.actorPath + "actorskill" + (s + 1);
a.load(t, cc.Prefab, function(s, a) {
null != s ? (a = null, e && e({
errorcode: -1
})) : e && e({
errorcode: 0,
data: {
actor: o,
skill: a
}
});
});
}
});
}
};
AssetsManager.bundle.sub5 ? a(AssetsManager.bundle.sub5) : AssetsManager.loadBundle("sub5", function(s) {
a(s);
});
},
loadBundle: function(s, e, a, n) {
null == AssetsManager.bundle && (AssetsManager.bundle = {}), cc.assetManager.loadBundle(s, {
onFileProgress: function(s) {
console.log("----------on file progress", s), a && a(s.progress, n);
}
}, function(a, n) {
if (a) return console.log("-------------loadBundle error", a), console.error(a);
AssetsManager.bundle[s] = n, e && e(n);
});
},
initBundle: function(s, e) {
AssetsManager.bundle = {}, AssetsManager.loadBundle("sub1", function() {
AssetsManager.loadBundle("sub2", function() {
AssetsManager.loadBundle("sub3", function() {
AssetsManager.loadBundle("sub4", function() {
AssetsManager.loadBundle("sub5", function() {
s && s();
}, e, 4);
}, e, 3);
}, e, 2);
}, e, 1);
}, e, 0);
}
};