window.SkillManager = {
getSkillAction: function() {},
getAttackAction: function() {},
SKILL_STID: {
HITUP: 7,
HITDOWN: 9,
SWORDSTORM: 10,
SEVERALHIT: 12,
SWORDRAIN: 14,
SWORDHEEL: 15,
BODYARROW: 17
},
SKILL_NAME: {
JUMP_ATK1: 0,
JUMP_ATK2: 1,
JUMP_ATK3: 2,
NORMAL_ATK1: 0,
NORMAL_ATK2: 1,
NORMAL_ATK3: 2,
NORMAL_ATK4: 3,
SKILL_ATK1: 7,
SKILL_ATK2: 8,
SKILL_ATK3: 9,
SKILL_ATK4: 10,
SKILL_ATK5: 11,
SKILL_ATK6: 12,
SKILL_ATK7: 13,
SKILL_ATK8: 14,
SKILL_ATK9: 15,
SKILL_ATK10: 16,
SKILL_ATK11: 17,
SKILL_ATK12: 18,
SKILL_ATK13: 19,
SKILL_ATK14: 20,
SKILL_ATK15: 21,
SKILL_SCROLL: 22
},
WEAPIONNORMALACTION: [ [ "3_normalAtk01", "4_normalAtk02", "5_normalAtk03", "6_normalAtk04" ], [ "37_normalAtk01_Bs", "38_normalAtk02_Bs", "39_normalAtk03_Bs", "40_normalAtk04_Bs" ], [ "41_normalAtk01_Ld", "42_normalAtk02_Ld", "43_normalAtk03_Ld", "44_normalAtk04_Ld" ], [ "33_normalAtk01_Tl", "34_normalAtk02_Tl", "35_normalAtk03_Tl", "36_normalAtk04_Tl" ] ],
ACTION_NAME: [ "0_jumpAtk01", "1_jumpAtk02", "2_jumpAtk03", "3_normalAtk01", "4_normalAtk02", "5_normalAtk03", "6_normalAtk04", "7_skillAtk01_1", "8_skillAtk01_2", "9_skillAtk02", "10_skillAtk03_1", "11_skillAtk03_2", "12_skillAtk04_1", "13_skillAtk04_2", "14_skillAtk05", "15_skillAtk06_1", "16_skillAtk06_2", "17_skillAtk07_1", "18_skillAtk07_2", "19_skillAtk08_2", "20_skillAtk08_3", "21_skillAtk08_1", "gun", "22_skillAtk09_1", "23_skillAtk09_2", "24_skillAtk10_1", "25_skillAtk11_1", "26_skillAtk11_2", "27_skillAtk12_1", "28_skillAtk12_2", "29_skillAtk13_1", "30_skillAtk13_2", "31_skillAtk14_1", "32_skillAtk14_2", "33_normalAtk01_Tl", "34_normalAtk02_Tl", "35_normalAtk03_Tl", "36_normalAtk04_Tl", "37_normalAtk01_Bs", "38_normalAtk02_Bs", "39_normalAtk03_Bs", "40_normalAtk04_Bs", "41_normalAtk01_Ld", "42_normalAtk02_Ld", "43_normalAtk03_Ld", "44_normalAtk04_Ld", "29_skillAtk13_1", "30_skillAtk13_2", "31_skillAtk14_1", "32_skillAtk14_2", "25_skillAtk11_1", "26_skillAtk11_1" ],
skillname: {
"7_skillAtk01_1_name": 1,
"9_skillAtk02_name": 1,
"10_skillAtk03_1_name": 1,
"12_skillAtk04_1_name": 1,
"15_skillAtk06_1_name": 1,
"17_skillAtk07_1_name": 1,
"21_skillAtk08_1_name": 1,
"29_skillAtk13_1_name": 1,
"31_skillAtk14_1_name": 1,
"25_skillAtk11_1_name": 1,
"24_skillAtk10_1_name": 1,
"27_skillAtk12_1_name": 1,
"49_skillAtk17_1_name": 1,
"51_skillAtk18_1_name": 1,
"47_skillAtk16_1_name": 1,
"45_skillAtk15_1_name": 1,
"22_skillAtk09_1_name": 1
},
PASSIVE_NAME: {
ATKUP_M: 0,
ATKUP_L: 1,
CRITICAL_M: 2,
CRITICAL_L: 3,
BATTLESOUL: 4,
BLOODY: 5,
VIGOUR: 6,
RECOVER: 7,
INSANENESS: 8,
INTELLIGENCE: 9,
TOUGHNESS: 10,
DEFUP_M: 11,
DEFUP_L: 12,
RECOVER_M: 13,
RECOVER_L: 14,
CRIPPLE: 15,
POSION: 16,
AVOID: 17,
BLADESOUL: 18,
RECHARGE: 19,
WARTH: 20
},
ACTIVE_NAME: {
ATKUP_M: 0,
ATKUP_L: 1,
CRITICAL_M: 2,
CRITICAL_L: 3,
BATTLESOUL: 4,
BLOODY: 5,
VIGOUR: 6,
RECOVER: 7,
INSANENESS: 8,
INTELLIGENCE: 9,
TOUGHNESS: 10,
DEFUP_M: 11,
DEFUP_L: 12,
RECOVER_M: 13,
RECOVER_L: 14,
CRIPPLE: 15,
POSION: 16,
AVOID: 17,
BLADESOUL: 18,
RECHARGE: 19,
WARTH: 20
},
skillList: [ {
skillactid: 7,
index: 0,
icon: "skill_dragonupcut",
type: 0,
name: "飞龙在天",
maxlevel: 5,
baserate: .5,
scalerate: .3,
tips: "<color=#ffffff>向上挥刀击飞敌人，伤害：</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 0
}, {
skillactid: 9,
index: 1,
icon: "skill_halfmooncut",
type: 0,
name: "力劈华山",
maxlevel: 5,
baserate: .75,
scalerate: .3,
tips: "<color=#ffffff>重击前方地面，伤害：</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 1
}, {
skillactid: 10,
index: 2,
icon: "skill_swordstorm",
type: 0,
name: "旋风刀法",
maxlevel: 5,
baserate: .35,
scalerate: .25,
tips: "<color=#ffffff>持续环状挥刀攻击敌人，伤害：</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 0
}, {
skillactid: 0,
index: 3,
icon: "skill_atkupM",
type: 1,
name: "攻击上升小",
maxlevel: 10,
baserate: .08,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#eaf54f>%d</color><color=#ffffff>的攻击力</c>",
rare: 0
}, {
skillactid: 1,
index: 4,
icon: "skill_atkupL",
type: 1,
name: "攻击上升大",
maxlevel: 10,
baserate: .15,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#eaf54f>%d</color><color=#ffffff>的攻击力</c>",
rare: 1
}, {
skillactid: 2,
index: 5,
icon: "skill_criticalM",
type: 1,
name: "暴击上升小",
maxlevel: 10,
baserate: 3,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#eaf54f>%d%</color><color=#ffffff>的暴击率</c>",
rare: 0
}, {
skillactid: 3,
index: 6,
icon: "skill_criticalL",
type: 1,
name: "暴击上升大",
maxlevel: 10,
baserate: 5,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#eaf54f>%d%</color><color=#ffffff>的暴击率</c>",
rare: 1
}, {
skillactid: 4,
index: 7,
icon: "skill_battlesoul",
type: 1,
name: "不屈之魂",
maxlevel: 1,
baserate: 1,
scalerate: 0,
tips: "<color=#ffffff>死亡可复活</c><color=#eaf54f>1次</color><color=#ffffff>",
rare: 2
}, {
skillactid: 5,
index: 8,
icon: "skill_bloodthirsty",
type: 1,
name: "击杀回血",
maxlevel: 1,
baserate: 1,
scalerate: 0,
tips: "<color=#ffffff>击杀敌人立刻恢复</c><color=#eaf54f>1%生命</c>",
rare: 1
}, {
skillactid: 6,
index: 9,
icon: "skill_vigour",
type: 1,
name: "能量增加",
maxlevel: 3,
baserate: 10,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#eaf54f>%d点能量上限</color>",
rare: 0
}, {
skillactid: 7,
index: 10,
icon: "skill_HPRecover",
type: 1,
name: "恢复提升",
maxlevel: 3,
baserate: .5,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#eaf54f>%d%</color><color=#ffffff>的恢复物品效果</c>",
rare: 0
}, {
skillactid: 8,
index: 11,
icon: "skill_insaneness",
type: 1,
name: "狂暴",
maxlevel: 3,
baserate: .15,
scalerate: 0,
tips: "<color=#ffffff>提升攻击力</c><color=#eaf54f>%d%</color><color=#ffffff>,额外承受伤害</c><color=#eaf54f>%c%</color><color=#ffffff></c>",
rare: 1
}, {
skillactid: 9,
index: 12,
icon: "skill_intelligence",
type: 1,
name: "消耗降低",
maxlevel: 4,
baserate: .1,
scalerate: 0,
tips: "<color=#ffffff>降低能量消耗</c><color=#eaf54f>%d%</color><color=#ffffff></c>",
rare: 0
}, {
skillactid: 10,
index: 13,
icon: "skill_toughness",
type: 1,
name: "血量上限",
maxlevel: 5,
baserate: .3,
scalerate: 0,
tips: "<color=#ffffff>提升生命上限</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 0
}, {
skillactid: 12,
index: 14,
icon: "skill_combohit",
type: 0,
name: "九绝连斩",
maxlevel: 5,
baserate: .2,
scalerate: .25,
tips: "<color=#ffffff>快速多次攻击敌人，伤害：</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 1
}, {
skillactid: 15,
index: 15,
icon: "skill_firering",
type: 0,
name: "盘龙刀法",
maxlevel: 5,
baserate: .35,
scalerate: .25,
tips: "<color=#ffffff>滚动冲向敌人，伤害：</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 0
}, {
skillactid: 17,
index: 16,
icon: "skill_jouk",
type: 0,
name: "冲雷刀法",
maxlevel: 5,
baserate: .25,
scalerate: .25,
tips: "<color=#ffffff>以迅雷之势冲向敌人，伤害：</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 0
}, {
skillactid: 19,
index: 17,
icon: "skill_flash",
type: 0,
name: "破天一剑",
maxlevel: 5,
baserate: .5,
scalerate: 0,
tips: "<color=#ffffff>挥出逆天一刀，伤害：</c><color=#eaf54f>%d</color><color=#ffffff></c>",
rare: 2
}, {
skillactid: 11,
index: 18,
icon: "skill_defupM",
type: 1,
name: "防御上升小",
maxlevel: 10,
baserate: .2,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#ffff40>%d</color><color=#ffffff>的防御力</c>",
rare: 0
}, {
skillactid: 12,
index: 19,
icon: "skill_defupL",
type: 1,
name: "防御上升大",
maxlevel: 10,
baserate: .4,
scalerate: 0,
tips: "<color=#ffffff>提升</c><color=#ffff40>%d</color><color=#ffffff>的防御力</c>",
rare: 1
}, {
skillactid: 14,
index: 20,
icon: "skill_recoverL",
type: 1,
name: "恢复生命大",
maxlevel: 100,
baserate: .5,
scalerate: 0,
tips: "<color=#ffffff>立即恢复</c><color=#00ff10>%d</color><color=#ffffff>的生命</c>",
rare: 0
}, {
skillactid: 13,
index: 21,
icon: "skill_recoverM",
type: 1,
name: "恢复生命小",
maxlevel: 100,
baserate: .3,
scalerate: 0,
tips: "<color=#ffffff>立即恢复</c><color=#00ff10>%d</color><color=#ffffff>的生命</c>",
rare: 0
}, {
skillactid: 47,
index: 22,
icon: "skill_invincible",
type: 0,
name: "正义护盾",
maxlevel: 5,
baserate: 1,
scalerate: 0,
tips: "<color=#ffffff>在</c><color=#ffff40>%d</color><color=#ffffff>秒内格挡敌方攻击</c>",
rare: 1
}, {
skillactid: 41,
index: 23,
icon: "skill_thorns",
type: 0,
name: "召唤荆棘",
maxlevel: 3,
baserate: .4,
scalerate: 0,
tips: "<color=#ffffff>召唤荆棘阻拦并造成</c><color=#ffff40>%d</color><color=#ffffff>伤害</c>",
rare: 0
}, {
skillactid: 17,
index: 24,
icon: "skill_avoid",
type: 1,
name: "闪避",
maxlevel: 4,
baserate: 8,
scalerate: 0,
tips: "<color=#ffffff>有</c><color=#ffff40>%d%</color><color=#ffffff>的几率躲闪掉敌人的攻击</c>",
rare: 0
}, {
skillactid: 67,
index: 25,
icon: "skill_roundSword",
type: 0,
name: "护体剑气",
maxlevel: 3,
baserate: .4,
scalerate: 0,
tips: "<color=#ffffff>召唤护体剑罡，对周身敌人造成</c><color=#ffff40>%d</color><color=#ffffff>伤害</c>",
rare: 1
}, {
skillactid: 65,
index: 26,
icon: "skill_bloodLetting",
type: 0,
name: "妖刀之刃",
maxlevel: 4,
baserate: .3,
scalerate: 0,
tips: "<color=#ffffff>持续损失生命的并10秒内提升</c><color=#ffff40>%d</color><color=#ffffff>攻击</c>",
rare: 1
}, {
skillactid: 15,
index: 27,
icon: "skill_HeavyAttack",
type: 1,
name: "致残",
maxlevel: 3,
baserate: 5,
scalerate: 0,
tips: "<color=#ffffff>一定几率对普通敌人造成当前生命</c><color=#ffff40>%d%</color><color=#ffffff>伤害</c>",
rare: 0
}, {
skillactid: 19,
index: 28,
icon: "skill_replenish",
type: 1,
name: "充能",
maxlevel: 2,
baserate: 25,
scalerate: 0,
tips: "<color=#ffffff>使用技能时有</c><color=#ffff40>%d%</color><color=#ffffff>的几率恢复40%所需的能量</c>",
rare: 0
}, {
skillactid: 20,
index: 29,
icon: "skill_potential",
type: 1,
name: "破釜沉舟",
maxlevel: 4,
baserate: .5,
scalerate: 0,
tips: "<color=#ffffff>生命越少攻击越高，最多</c><color=#ffff40>%d</color><color=#ffffff>攻击力</c>",
rare: 0
}, {
skillactid: 18,
index: 30,
icon: "skill_invisibleSword",
type: 1,
name: "心剑",
maxlevel: 4,
baserate: 12,
scalerate: 0,
tips: "<color=#ffffff>攻击时有</c><color=#ffff40>%d%</color><color=#ffffff>几率造成追加伤害</c>",
rare: 0
}, {
skillactid: 16,
index: 31,
icon: "skill_poison",
type: 1,
name: "剧毒之刃",
maxlevel: 3,
baserate: .5,
scalerate: 0,
tips: "<color=#ffffff>概率使普通敌人中毒，每</c><color=#ffff40>%d</color><color=#ffffff>秒损失%c的生命</c>",
rare: 1
}, {
skillactid: 69,
index: 32,
icon: "skill_breakDefence",
type: 0,
name: "无视格挡",
maxlevel: 3,
baserate: 3,
scalerate: 0,
tips: "<color=#ffffff>在</c><color=#ffff40>%d</color><color=#ffffff>秒内无视敌人格挡</c>",
rare: 0
}, {
skillactid: 35,
index: 33,
icon: "skill_ladingAttack",
type: 0,
name: "信仰之跃",
maxlevel: 3,
baserate: .3,
scalerate: 0,
tips: "<color=#ffffff>从高空砸向地面，造成</c><color=#ffff40>%d</color><color=#ffffff>的伤害并击飞</c>",
rare: 0
}, {
skillactid: 37,
index: 34,
icon: "skill_wolfWave",
type: 0,
name: "召唤狼魂",
maxlevel: 3,
baserate: .4,
scalerate: 0,
tips: "<color=#ffffff>召唤大量狼魂攻击，对敌人造成</c><color=#ffff40>%d</color><color=#ffffff>的伤害</c>",
rare: 2
}, {
skillactid: 39,
index: 35,
icon: "skill_backJumpAttack",
type: 0,
name: "反身斩",
maxlevel: 3,
baserate: .4,
scalerate: 0,
tips: "<color=#ffffff>越过敌人头顶翻身攻击，造成</c><color=#ffff40>%d</color><color=#ffffff>的伤害</c>",
rare: 0
}, {
skillactid: 45,
index: 36,
icon: "skill_rotateAttack",
type: 0,
name: "真空刃",
maxlevel: 5,
baserate: .3,
scalerate: 0,
tips: "<color=#ffffff>向前投掷转刀，造成</c><color=#ffff40>%d</color><color=#ffffff>的伤害</c>",
rare: 0
}, {
skillactid: 43,
index: 37,
icon: "skill_battleCry",
type: 0,
name: "战吼",
maxlevel: 12,
baserate: .15,
scalerate: 0,
tips: "<color=#ffffff>10秒内提升</c><color=#ffff40>%d</color><color=#ffffff>攻击力</c>",
rare: 0
} ],
MOVE_TYPE: {
WITH: 0,
FIXED: 1,
OUT: 2,
STAY: 3,
STAYWITH: 4,
FIXEDWITH: 5
},
ENEMYSKILL: [ "0_0_normalAtk01_1", "1_0_normalAtk01_1", "3_0_normalAtk01_1", "4_0_normalAtk01_1", "5_0_normalAtk01_1", "6_0_normalAtk01_1", "7_0_normalAtk01_1", "8_0_normalAtk01_1", "9_0_normalAtk01_1", "10_0_normalAtk01_1", "11_0_normalAtk01_1", "12_0_normalAtk01_1", "100_0_normalAtk01_1", "100_1_normalAtk02_1", "100_2_normalAtk03_1", "100_2_normalAtk03_2", "100_2_normalAtk03_3", "101_0_normalAtk01_1", "101_1_normalAtk02_1", "101_2_normalAtk03_1", "102_0_normalAtk01_1", "102_1_normalAtk02_1", "102_2_normalAtk03_1", "13_0_normalAtk01_1", "14_0_normalAtk01_1", "15_0_normalAtk01_1", "16_0_normalAtk01_1", "17_0_normalAtk01_1", "18_0_normalAtk01_1", "19_0_normalAtk01_1", "20_0_normalAtk01_1", "21_0_normalAtk01_1", "22_0_normalAtk01_1", "104_0_normalAtk01_1", "104_1_normalAtk02_1", "104_2_normalAtk03_1", "104_2_normalAtk03_2", "105_0_normalAtk01_1", "105_0_normalAtk01_2", "105_1_normalAtk02_1", "105_2_normalAtk03_1", "106_0_normalAtk01_1", "106_0_normalAtk01_2", "106_0_normalAtk01_3", "106_1_normalAtk02_1", "106_2_normalAtk03_1", "106_3_normalAtk04_1", "106_3_normalAtk04_2", "106_3_normalAtk04_3", "107_0_normalAtk01_1", "107_1_normalAtk02_1", "107_2_normalAtk03_1", "107_3_normalAtk01_1", "107_4_normalAtk01_1", "107_5_normalAtk01_1", "107_6_normalAtk01_1", "107_7_normalAtk01_1", "108_0_normalAtk01_1", "108_1_normalAtk02_1", "108_2_normalAtk03_1", "108_2_normalAtk03_2", "108_3_normalAtk04_1", "108_4_normalAtk05_1", "108_5_normalAtk06_1", "23_0_normalAtk01_1", "24_0_normalAtk01_1", "24_0_normalAtk02_1", "25_0_normalAtk01_1", "25_0_normalAtk02_1", "26_0_normalAtk01_1", "26_0_normalAtk02_1", "27_0_normalAtk01_1", "28_0_normalAtk01_1", "29_0_normalAtk01_1", "30_0_normalAtk01_1", "31_0_normalAtk01_1", "32_0_normalAtk01_1", "33_0_normalAtk01_1", "34_0_normalAtk01_1", "35_0_normalAtk01_1", "36_0_normalAtk01_1", "37_0_normalAtk01_1", "38_0_normalAtk01_1", "39_0_normalAtk01_1", "40_0_normalAtk01_1", "41_0_normalAtk01_1", "42_0_normalAtk01_1", "43_0_normalAtk01_1", "44_0_normalAtk01_1", "27_0_normalAtk02_1", "28_0_normalAtk02_1", "29_0_normalAtk02_1", "30_0_normalAtk02_1", "31_0_normalAtk02_1", "34_0_normalAtk02_1", "35_0_normalAtk02_1", "37_0_normalAtk02_1", "38_0_normalAtk02_1", "39_0_normalAtk02_1", "41_0_normalAtk02_1", "16_0_normalAtk02_1", "19_0_normalAtk02_1", "18_0_normalAtk02_1" ],
ENEMYSKILLTYPE: {
NORMALHIT: 0,
SHOOT: 1,
BUFF: 2
},
CLIPSTATE: {
NORMAL: 0,
HITOVER: 1,
DROPLAND: 2,
EXPLODE: 3
},
ENEMYSKILLDATA: {
"0_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"1_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "normalarrow",
speed: 100
}
},
"3_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"4_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"5_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"6_0_normalAtk01_1": {
type: 2,
dmgrate: 1,
power: 0,
clipdata: null
},
"7_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "smallbomb",
speed: 80
}
},
"8_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"9_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"10_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"11_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"12_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"100_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"100_1_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"100_2_normalAtk03_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"100_2_normalAtk03_2": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"100_2_normalAtk03_3": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"101_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "bossarrow",
speed: 80
}
},
"101_1_normalAtk02_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "bossarrow",
speed: 80
}
},
"101_2_normalAtk03_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "bossarrow",
speed: 80
}
},
"102_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"102_1_normalAtk02_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "fireball",
speed: 200
}
},
"102_2_normalAtk03_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"13_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "normalarrow",
speed: 100
}
},
"14_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"15_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"16_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"17_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "normalarrow",
speed: 100
}
},
"18_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"19_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"20_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"21_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"22_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"104_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"104_1_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"104_2_normalAtk03_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"104_2_normalAtk03_2": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"105_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"105_0_normalAtk01_2": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"105_1_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"105_2_normalAtk03_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"106_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"106_0_normalAtk01_2": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"106_0_normalAtk01_3": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"106_1_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"106_2_normalAtk03_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: {
name: "bitsb",
speed: 100
}
},
"106_3_normalAtk04_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"106_3_normalAtk04_2": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: {
name: "bitsb",
speed: 100
}
},
"106_3_normalAtk04_3": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"107_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"107_1_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"107_2_normalAtk03_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"107_3_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"107_4_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"107_5_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"107_6_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"108_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"108_1_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"108_2_normalAtk03_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"108_2_normalAtk03_2": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"108_3_normalAtk04_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"108_4_normalAtk05_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"108_5_normalAtk06_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"23_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "suriken",
speed: 100,
clipMoveType: 1
}
},
"27_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "normalarrow",
speed: 100,
clipMoveType: 0,
arrowtype: 1
}
},
"28_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "normalarrow",
speed: 100,
clipMoveType: 0,
arrowtype: 2
}
},
"34_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "smallbomb",
speed: 100,
clipMoveType: 0,
bombtype: 1
}
},
"35_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "smallbomb",
speed: 100,
clipMoveType: 0,
bombtype: 1
}
},
"42_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "spear",
speed: 100,
clipMoveType: 1,
arrowtype: 0
}
},
"43_0_normalAtk01_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "spear",
speed: 100,
clipMoveType: 1,
arrowtype: 2
}
},
"32_0_normalAtk01_1": {
type: 2,
dmgrate: 1,
power: 0,
clipdata: null
},
"33_0_normalAtk01_1": {
type: 2,
dmgrate: 1,
power: 0,
clipdata: null
},
"24_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"24_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"25_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"25_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"26_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"26_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"29_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"30_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"31_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"36_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"37_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"38_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"39_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"40_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"41_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"44_0_normalAtk01_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"27_0_normalAtk02_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "normalarrow",
speed: 100,
clipMoveType: 0,
arrowtype: 1
}
},
"28_0_normalAtk02_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "normalarrow",
speed: 150,
clipMoveType: 0,
arrowtype: 2
}
},
"29_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"30_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"31_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"34_0_normalAtk02_1": {
type: 1,
dmgrate: 1,
power: 0,
clipdata: {
name: "smallbomb",
speed: 100,
clipMoveType: 0,
bombtype: 1
}
},
"35_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"37_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"38_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"39_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"41_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"16_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
},
"19_0_normalAtk02_1": {
type: 0,
dmgrate: 1,
power: 0,
clipdata: null
}
},
getSkillData: function(l) {
var a = function(a) {
if (null != a) try {
a.load("data/skilldata", function(a, e) {
var _ = {};
if (null == a) {
var t = null;
if ("object" == ("undefined" == typeof e ? "undefined" : typeof e)) {
t = e.text;
try {
_.errorcode = 0, _.skilllist = SkillManager.sortSkillList(JSON.parse(t)), console.log("--------get skill data", _.skilllist);
} catch (l) {
console.log(l), _.errorcode = 1;
}
}
} else _.errorcode = 1;
l && l(_);
});
} catch (l) {}
};
AssetsManager.bundle.sub2 ? a(AssetsManager.bundle.sub2) : AssetsManager.loadBundle("sub2", function(l) {
l && a(l);
});
},
sortSkillList: function(l) {
if (l.length > 0) for (var a = 0; a < l.length; a++) {
for (var e = a, _ = a + 1; _ < l.length; _++) l[e].skillid > l[_].skillid && (e = _);
if (e != a) {
var t = l[e];
l[e] = l[a], l[a] = t;
}
}
return l;
},
SUGGESTLIST: {
0: 0,
1: 1,
2: 2,
14: 14,
15: 15,
16: 16,
17: 17,
22: 22,
23: 23,
25: 25,
26: 26,
32: 32,
33: 33,
34: 34,
35: 35,
36: 36,
37: 37
}
};