window.MACRO = {
URL: {
SHAREHELP: "https://sharehelp.ugamesoft.net/"
},
ENEMY: {
TYPE: {
N_SPEAR: 0,
N_BOW: 1,
N_HUGESHIELD: 2,
N_AXE: 3,
N_SWORD: 4,
N_RECOVER: 5,
N_BOMB: 6,
N_ARMOR: 7,
N_POLEAXE: 8,
N_SHIELDSPEAR: 9
},
ENEMY_GROUP: {
NORMAL: 0,
BOSS: 1
},
CLIPMOVETYPE: {
CURVE: 0,
LINE: 1
},
MOVE_MODE: {
WAIT: 0,
NEAR: 1,
AWAY: 2,
ATTACK: 3
},
SKILLTYPE: {},
MAXENEMYNUM: 10
},
ACTOR: {
ACTMODE: {
STEADY: "steady",
MOVE: "run",
JUMP_UP: "jump",
JUMP_DOWNING: "jump_downing",
JUMP_DOWN: "jump_down",
HIT: "hit",
HIT_DOWNING: "hit_downing",
HIT_DOWN: "hit_down",
HIT_UP: "hit_up",
ATK1: "normalAttack",
ATK2: "normalAttack2",
ATK3: "normalAttack3",
SKILL1: "skillAttack1",
SKILL2: "skillAttack2",
SKILL3: "skillAttack3",
DEAD: "dead",
SCROLL: "gun",
HIT2: "hit_2"
},
COLLIDER: {
ATK1: 0,
ATK2: 1,
ATK3: 2,
BODY: 3
},
BASEATTR: [ {
name: "斯基",
BASEHP: 600,
BASEMP: 100,
BASEATK: 100,
BASEDEF: 40,
BASECTL: 5,
BASESPEED: 100,
BASEJUMPSPEED: 200,
SKILLID: [],
fromtype: 0,
tips: "游走在刀尖上的孤狼，被招进黑狼队后依旧有些孤言寡语。在与混沌骑士一战后，遭到背叛坠入深渊，从此消失"
}, {
name: "索隆",
BASEHP: 800,
BASEMP: 90,
BASEATK: 120,
BASEDEF: 50,
BASECTL: 10,
BASESPEED: 90,
BASEJUMPSPEED: 200,
SKILLID: [ 57, 58, 59, 60 ],
fromtype: 1,
tips: "来自未知大陆的浪客，腰间奇怪形状的刀总不离身。传闻他和某个戴着草帽的海贼团有所关联，具体内容无人知晓"
}, {
name: "金刚狼",
BASEHP: 900,
BASEMP: 100,
BASEATK: 90,
BASEDEF: 80,
BASECTL: 12,
BASESPEED: 80,
BASEJUMPSPEED: 90,
SKILLID: [ 53, 54, 55, 56 ],
fromtype: 1,
tips: "使用古怪武器的佣兵，总喜欢叼着一根木头，称它叫做“雪茄”。也有一些古怪的传言，说他无论如何都不会死"
}, {
name: "格兰特",
BASEHP: 800,
BASEMP: 110,
BASEATK: 110,
BASEDEF: 50,
BASECTL: 11,
BASESPEED: 80,
BASEJUMPSPEED: 95,
SKILLID: [ 49, 50, 51, 52 ],
fromtype: 2,
fromnum: 2e3,
tips: "黑狼队队长，万里挑一的剑术天才，在无数残酷的战役中带领着队员们凯旋而归，为人儒雅，深受队员们爱戴"
}, {
name: "贝尔",
BASEHP: 500,
BASEMP: 110,
BASEATK: 80,
BASEDEF: 30,
BASECTL: 10,
BASESPEED: 120,
BASEJUMPSPEED: 200,
SKILLID: [ 61, 62, 63, 64 ],
fromtype: 5,
fromnum: 5,
tips: "无论敌人多么狡诈，他总能出色的完成任务，因为他总在执行暗杀时和目标开各种玩笑，又被称为“幽默的死神”"
}, {
name: "迪瓦娜",
BASEHP: 900,
BASEMP: 120,
BASEATK: 110,
BASEDEF: 60,
BASECTL: 4,
BASESPEED: 100,
BASEJUMPSPEED: 200,
SKILLID: [ 71, 72, 73, 74 ],
fromtype: 5,
fromnum: 5,
tips: "控剑者,用无形念力控制有形之剑收割敌人，战争让年幼的她失去一切，把恐惧和伤痛还给敌人是唯一的信念”"
} ],
BASEHP: 600,
BASEMP: 100,
BASEATK: 100,
BASEDEF: 40,
BASECTL: 5
},
ACTORSTATE: {
STEADY: 0,
MOVE: 1,
JUMP: 2,
ATTACK: 3,
SKILLATTACK: 4,
HIT: 5,
DEAD: 6,
HITFLY: 7,
FALLDOWN: 8,
SCROLL: 9,
SCENE: 10
},
SKILLSTATE: {
NORMAL: 0,
ATTACKING: 1
},
ITEM: {
GOLD: 0,
HPS: 1,
HPL: 2,
MPS: 3,
MPL: 4,
BOX1: 5,
BOX2: 6,
BOX3: 7,
TIPS: 8,
CHIP: 9,
EQUCHIP: 10,
EQU: 11
},
DIRECT_LEFT: 0,
DIRECT_RIGHT: 1,
DIRECT_NULL: -1,
ACTORSPEED: 100,
JUMP_SPEED: 200,
JUMP_DSP: -400,
BASEAWAYLENGTH: 18,
MAXAWAYLENGTH: 30,
BASEHITUPSPEED: 100,
MAXHITUPSPEED: 200,
BASEHITFLYSPEED: 100,
STUNTIME: .08,
MAXHITFLYSPEED: 200,
BASEPOINT: {
X: 0,
Y: 0
},
BASEAREA: {
LEFT: -150,
RIGHT: 450,
WIDTH: 1e3,
HEIGHT: 500
},
BUFF: {
ATKUP_S: 0,
DEFUP_S: 1,
ATKUP_A: 2,
DEFUP_A: 3,
RECOVER_S: 4,
RECOVER_A: 5,
CRITICALUP_S: 6,
CRITICALUP_A: 7
},
DMGNUM: {
NORMAL: 0,
CRITICAL: 1,
OWNHURT: 2,
RECOVER: 3,
BLOCK: 4,
TIPS: 5,
ATKUP: 6,
DEFUP: 7,
CRITICALUP: 8,
MPRECOVER: 9,
GOLD: 10,
GETWEAPON: 11,
POSION: 12,
EXHURT: 13,
CRIPPLE: 14
},
BRANCH: {
BATTLE: 0,
PLUS: 1,
BOSS: 2,
EVENT: 3,
RECOVER: 4,
SHOP: 5
},
GAMESTATE: {
NORMAL: 0,
PAUSE: 1,
OVER: 2
},
GAMEMODE: {
BATTLE: 0,
CHALLENGE: 1
},
CHALLENGESTATE: {
START: 0,
COMPLETE: 1,
OVER: 2
},
DOORSTATE: {
APPEAR: "apear",
WAITTING: "loop",
DISAPPEAR: "disapeear"
},
COMBO_BLANKTIME: 100,
SYSTEMINFO: null,
VOLUME: {
PCM: 0,
BGM: 0
},
MAXVIT: 20,
VITRECOVERBLANK: 3e5,
ALD: !0,
EVENTBONUSTYPE: {
GOLDUP: 0,
GOLDDOWN: 1,
JEWELUP: 2,
JEWELDOWN: 3,
MAXHPUP: 4,
MAXHPDOWN: 5,
ATKUP: 6,
ATKDOWN: 7,
DEFUP: 8,
DEFDOWN: 9,
HPUP: 10,
HPDOWN: 11,
MAXMPUP: 12,
SKILL: 13,
WEAPON: 14,
ARMOR: 15,
BOOT: 16,
JEWELRY: 17,
MPRECOVERSPEED: 18
},
WEAPONDATA: [ {
id: 0,
name: "打刀",
dur: -1,
atk: 0,
skill: [ 3, 4, 5, 6 ]
}, {
id: 1,
name: "匕首",
dur: 150,
atk: 20,
skill: [ 23, 24, 25, 26 ]
}, {
id: 2,
name: "镰刀",
dur: 150,
atk: 20,
skill: [ 27, 28, 29, 30 ]
}, {
id: 3,
name: "屠龙刀",
dur: 100,
atk: 20,
skill: [ 31, 32, 33, 34 ]
} ],
WEAPONFRAMEDATA: {
weapon10_10: 0,
weapon1_1: 1,
weapon2_2: 3,
weapon3_3: 2,
weapon5_7: 13,
weapon6_7: 13,
weapon7_7: 13,
weapon8_7: 13,
weapon9_7: 13,
weapon10_7: 13,
weapon11_7: 13,
weapon12_7: 13,
weapon13_7: 13,
weapon14_7: 13,
weapon15_7: 13,
weapon16_29: 7,
weapon17_29: 7,
weapon18_29: 7,
weapon19_29: 7,
weapon20_29: 7,
weapon21_29: 7,
weapon22_29: 7,
weapon23_29: 7,
weapon24_29: 7,
weapon25_8: 10,
weapon26_8: 10,
weapon27_8: 10,
weapon28_8: 10,
weapon29_8: 10,
weapon30_8: 10,
weapon31_8: 10,
weapon32_10: 0,
weapon33_10: 0,
weapon34_10: 0,
weapon35_10: 0,
weapon36_10: 0,
weapon37_10: 14,
weapon38_10: 14,
weapon39_10: 14,
weapon0_0: 0
},
FIREWALL_TYPE: {
FIREWALL: 0,
THUNDER: 1,
MOVETHUNDER: 2,
THUNDERBAll: 3
},
BGTYPE: {
NORMAL: 0,
ANGER: 1,
FINAL: 2,
RESET: 3
},
EQUDATA: {
EQUTYPE: {
WP: 0,
AM: 1,
BT: 2,
JW: 3,
HM: 4,
JWEX: 5
},
ATTRTYPE: {
ATK: 0,
DEF: 1,
MAXHP: 2,
MAXMP: 3,
CTL: 4,
MVSPEED: 5,
SKILL: 6,
ATKTYPE: 7,
CTLDMG: 8
}
},
GAMETIPS: {
GUIDE: {
0: "技能等级越高伤害范围越大",
1: "普通攻击时可以随时点击技能进行连招",
2: "冒险途中会发生各种有趣的特殊事件",
3: "神器拥有强大的战斗力和攻击招式"
},
WORLD1: {
0: "闪身时无视任何伤害",
1: "每种类型的装备需要特定的升级材料",
4: "敌人攻击时，可以闪避到身后攻击",
6: "完整观看任意视频都可以积累VIP次数",
9: "不同的角色拥有不同的攻击手段和特色",
12: "离开游戏时仍然会为您积累战利品，启动时领取",
13: "相同装备可以通过合成提升装备品级"
},
WORLD2: {
0: "提升VIP等级是快速积累神装和财富的最佳办法",
1: "升级天赋将永久提升属性",
2: "通关的章节可以通过扫荡快速获得战利品 ",
5: "离最长可获得24小时离线奖励",
8: "通过快速扫荡已通关关卡快速搜集资源",
7: "穿透技能将助你有效对抗带格挡的敌人",
4: "巫师会给队友加血，需要优先击杀他们",
10: "关卡进度越高，宝箱开出的物品品质越好"
},
WORLD3: {
0: "通过快速扫荡已通关关卡快速搜集资源",
1: "通关的章节可以通过扫荡快速获得战利品 ",
5: "神器碎片可以在合成界面合称为完整神器"
}
},
ITEMTYPE: {
EQU: 0,
COMPOSEEQU: 1,
CHIP: 2,
SPCHIP: 3
},
VIDEOID: {
WX: {
EVENT_MASTER: "adunit-f141aef124dd5b29",
EVENT_ANGEL: "adunit-6f48a635d41d46d7",
EVENT_EVIL: "adunit-647ee3905deb34bd",
EVENT_MERCHANT: "adunit-32cf9e2c6c96edf1",
SKILLFRESH: "adunit-586ccfc39b48abf0",
CANCELPANISH: "adunit-527fd45f92bfae19",
REVIVE: "adunit-7e1ea79ac3941e4a",
RECOVERVIT: "adunit-72673bbfa338691b",
DOUBLE_DUR: "adunit-6e4cbe7fe3b61825",
ALLGET: "adunit-520714ce61719a89",
DOUBLE_GET: "adunit-7e76aca488bb2045",
DOUBLE_SKILLGET: "adunit-bfc1a58f020cd05e",
REPAIR: "adunit-848e4780f9aff621",
GETGOLD: "adunit-1eefb651a4c4d8e2",
GETJEWEL: "adunit-520ec8247a80aa45",
GETVIP: "adunit-5ceadaa3db147b4f",
GETCHESTS: "adunit-6fd899ee389169d3",
GETCHESTSS: "adunit-ef6af0bae58fe2d6",
QUESTGET2: "adunit-79229c89ba9779d3",
QUESTGET10: "adunit-9fe80f330eaa88ef",
REVIVE_CHALLENGE: "adunit-3294dc0a10247e24",
MORESKILL: "adunit-10f21ce4dfac87a3",
CHALLENGECHANCE: "adunit-7c8f7a4e01d603dd",
LOTTERY: "",
CHARTRY: "",
FULLSELL: "",
DOUBLEOFFLINE: "",
ATTRUP: ""
},
QQ: {
EVENT_MASTER: "546ae70a14fa99468a033a4cea87983a",
EVENT_ANGEL: "4b0d22c8781740cfc8820a6d965d42cf",
EVENT_EVIL: "4ebea923ceba4ddd13b1024f822654b9",
EVENT_MERCHANT: "90a173fd035734118d3d92935e92123f",
SKILLFRESH: "cbb4dc8166c20f3d2932deb4e756cd1c",
CANCELPANISH: "cb8c4c493f125fbe9f0496ba417c23af",
REVIVE: "15d32982aafda93190350631354bec41",
RECOVERVIT: "57154a4c4b0ad5c46e639be28d4e4989",
DOUBLE_DUR: "c6d9db8e6839ae57bd9c9c40b21133f8",
ALLGET: "f3ea18560eef1e35118cb0fd91b17726",
DOUBLE_GET: "cfd0da455107954a5fa49dce7536588f",
DOUBLE_SKILLGET: "64c1afd24c9eb5d87891088f4666d7b8",
REPAIR: "6d643e291ef32cccb69a4f0009a26b75",
GETGOLD: "be0acd67903cc559c8335ab551186592",
GETJEWEL: "610a1ef1a17441506675a2f44520801f",
GETVIP: "f001c43d26aad63c9fe5fbffb92d12c4",
GETCHESTS: "7365a1d4849bbcf2081b60fd90e1ba44",
GETCHESTSS: "3a040ae72dfacc889c2c3c51cdd69cb0",
QUESTGET2: "ed44fed7b8763e0a7e7274b4f53ab37a",
QUESTGET10: "87379d75e8017cd646c65dd718a54187",
REVIVE_CHALLENGE: "ee9730efc56703910ae8128a990ba5d4",
MORESKILL: "39b8cecdc7aa83d8129ebce901363dab",
CHALLENGECHANCE: "6df5c7323135d7336da738efa98a0a43"
},
ANDROID: {
EVENT_MASTER: "945435955",
EVENT_ANGEL: "945435947",
EVENT_EVIL: "945435951",
EVENT_MERCHANT: "945435945",
SKILLFRESH: "945435940",
CANCELPANISH: "945435933",
REVIVE: "945435941",
RECOVERVIT: "945435906",
DOUBLE_DUR: "945435957",
ALLGET: "945435959",
DOUBLE_GET: "945435938",
DOUBLE_SKILLGET: "945435988",
REPAIR: "945435989",
GETGOLD: "945436001",
GETJEWEL: "945436004",
GETVIP: "945435993",
GETCHESTS: "945435995",
GETCHESTSS: "945435997",
QUESTGET2: "945436010",
QUESTGET10: "945436008",
REVIVE_CHALLENGE: "945436013",
MORESKILL: "945436015",
CHALLENGECHANCE: "945436019",
EQUHELP: "945436119",
LOTTERY: "945435805",
CHARTRY: "945435833",
DOUBLEOFFLINE: "945435833",
ATTRUP: "945435833",
LIMITSHOP: "945435833",
CONTINUE: "945435833"
}
},
BANNERID: {
WX_BANNER: "adunit-c96c405777ff84e2",
QQ_BANNER: "518e6a80acb0e03d9634c65af756fce8"
}
};